<?php  include('../../casa/setup.casa.php');

$output_dir = "../../files/";

$id=DataForms::GET('id');

if(isset($_FILES["myfile"])){
	$ret = array();
	
//	This is for custom errors;	
/*	$custom_error= array();
	$custom_error['jquery-upload-file-error']="File already exists";
	echo json_encode($custom_error);
	die();
*/

$Archivos = new DB();
$NewName = substr(sha1(uniqid()),1,7);

	$error =$_FILES["myfile"]["error"];
	if(!is_array($_FILES["myfile"]["name"])){ 
 	 	$fileName = $_FILES["myfile"]["name"];
		$tipo = pathinfo($fileName, PATHINFO_EXTENSION);
		$NewName = $NewName.'.'.$tipo;
 		move_uploaded_file($_FILES["myfile"]["tmp_name"], $output_dir.$NewName);
			$thumb  = new Thumb();
			$thumb->loadImage($output_dir.$NewName); 					
			$thumb->resize(700,"width");  
			$thumb->save($output_dir.$NewName, 100);
			$thumb->resize(200,"width");  
			$thumb->save($output_dir.'small_'.$NewName, 100);
    	$ret[]= $fileName;
		//Datos del archivo
		$codigo = substr(md5(uniqid()),1,7);
		$sqlArchivos = "INSERT INTO web_media(
			prod_codigo,
			med_archivo,
			med_tipo,
			med_categoria
		)VALUES(
			'$id',
			'$NewName',
			'$tipo',
			'fotos'
		);";
		$Archivos->dbSQL($sqlArchivos);				
	}else{
	  $fileCount = count($_FILES["myfile"]["name"]);
	  for($i=0; $i < $fileCount; $i++){
	  		$fileName = $_FILES["myfile"]["name"][$i];
			$tipo = pathinfo($fileName, PATHINFO_EXTENSION);
			$NewName = $NewName.'.'.$tipo;
			move_uploaded_file($_FILES["myfile"]["tmp_name"][$i], $output_dir.$NewName);	
				$thumb  = new Thumb();
				$thumb->loadImage($output_dir.$NewName); 					
				$thumb->resize(700,"width");  
				$thumb->save($output_dir.$NewName, 100);
				$thumb->resize(200,"width");  
				$thumb->save($output_dir.'small_'.$NewName, 100);		
			//Datos del archivo
			$codigo = substr(md5(uniqid()),1,7);
				$sqlArchivos = "INSERT INTO web_media(
					prod_codigo,
					med_archivo,
					med_tipo,
					med_categoria
				)VALUES(
					'$id',
					'$NewName',
					'$tipo',
					'fotos'
				);";				
				$Archivos->dbSQL($sqlArchivos);				
	  		$ret[]= $NewName;
	  }	
	}
   echo json_encode($ret);
 }
 ?>